package com.jeeplus.modules.sg.budgetSpectaculars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 预算执行管理表
 * @author: 徐滕
 * @create: 2021-09-15 09:17
 **/
public class BudgetExecuteInfo {

    private String projectId;    //项目ID
    private String projectName;    //项目名称
    private String reserveCoding;    //储备编码
    private String projectNumber;    //国网项目编码
    private String projectBagNumber;    //项目包编码
    private String projectBagName;    //项目包名称
    private String importanceProjectInvest;    //重要项目投向
    private String firstLevelUnit;    //一级单位
    private String secondLevelUnit;    //二级单位
    private String relevantDepartment;    //归口部门

    private String projectImplementationDepartment;    //项目实施部门
    private String firstSlassify;    //一级分类
    private String secondSlassify;    //二级分类
    private String thirdlySlassify;    //三级分类
    private String projectBagType;    //项目包类型
    private String commitmentOne;    //承诺项1
    private String projectType;    //项目类型
    private String projectProperty;    //项目性质
    private String ifArrangeProject;    //是否预安排项目
    private String projectStatus;    //项目流转状态

    private String projectAllBudget;    //项目总预算（万元）
    private String cumulativeInvestmentPlan;    //累计投资计划（万元）
    private String accumulativeFinanceExpend;    //累计财务支出（万元）
    private String accumulativeTaxes;    //累计税金
    private String accumulativeFinishFee;    //累计完成值（含税）（万元）
    private String projectAccumulativeTaxes;    //项目累计完成率（%）
    private String investmentPlanFee;    //当年投资计划（万元）
    private String budgetFee;    //当年预算（万元）
    private String financeExpend;    //当年财务支出（万元）
    private String budgetTaxes;    //年度预算完成率（%）

    private String taxationExpense;    //当年税金（万元）
    private String completeValue;    //当年完成值（含税）（万元）
    private String projectCommitment;    //当年项目承诺
    private String accumulativeProjectCommitment;    //累计项目承诺
    private String projectPagNumber;    //国网项目包编码
    private String sendStatusSubProject;    //发送国网状态（配网子项目）
    private String underConstructionProjectBalance;    //在建工程余额（万元）
    private String underConstructionProjectCardBalance;    //在建工程卡片余额（万元）
    private String accumulativeWorkingCapitalFee;    //累计转资金额（万元）
    private String year;    //年度

    private String monomer;    //单体/打捆
    private String projectWarehouseOutTime;    //项目出库时间
    private String suggestBudget;    //建议预算（万元）
    private String startWorkingTime;    //开工时间
    private String budgetFinishTime;    //预计完成时间
    private String sustainableArchitectureReason;    //续建结转原因
    private String voltageLevel;    //电压等级
    private String sendVillageStatus;    //发送配农网状态
    private String sapProjectApprovalTime;    //SAP立项时间
    private String customOne;    //自定义字段1

    private String customTwo;    //自定义字段2
    private String customThree;    //自定义字段3
    private String customFour;    //自定义字段4
    private String customFive;    //自定义字段5
    private String projectStartTime;    //项目打开时间
    private String projectCloseTime;    //项目关闭时间
    private String operationalAction;    //业务活动
    private String assetType;    //资产类型
    private String professionalSubdivision;    //专业细分
    private String pathType;    //线路类型

    private String underTheLimitedCeiling;    //限上限下
    private String ifEpibolyProject;    //是否外包项目
    private String budgetReleaseStatus;    //预算释放状态
    private String sendStatus;    //发送国网状态
    private String businessEpibolyFee;    //业务外包金额(万元)
    private String budgetAdjustmentCount;    //预算调整次数
    private String accumulativeBudgetAdjustmentCount;    //累计预算调整次数
    private String beginningYearBudget;    //年初预算
    private String newestUpdateTime;    //最新变更时间
    private String epibolyLaborCost;    //外包人工成本（万元）

    private String ctrateByName;    //创建人
    private String commitmentTwo;    //承诺项2
    private String commitmentThree;    //承诺项3
    @ExcelField(title="项目ID", align=2, sort=1)
    public String getProjectId() {
        return projectId;
    }
    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }
    @ExcelField(title="储备编码", align=2, sort=3)
    public String getReserveCoding() {
        return reserveCoding;
    }
    @ExcelField(title="国网项目编码", align=2, sort=4)
    public String getProjectNumber() {
        return projectNumber;
    }
    @ExcelField(title="项目包编码", align=2, sort=5)
    public String getProjectBagNumber() {
        return projectBagNumber;
    }
    @ExcelField(title="项目包名称", align=2, sort=6)
    public String getProjectBagName() {
        return projectBagName;
    }
    @ExcelField(title="重要项目投向", align=2, sort=7)
    public String getImportanceProjectInvest() {
        return importanceProjectInvest;
    }
    @ExcelField(title="一级单位", align=2, sort=8)
    public String getFirstLevelUnit() {
        return firstLevelUnit;
    }
    @ExcelField(title="二级单位", align=2, sort=9)
    public String getSecondLevelUnit() {
        return secondLevelUnit;
    }
    @ExcelField(title="归口部门", align=2, sort=10)
    public String getRelevantDepartment() {
        return relevantDepartment;
    }
    @ExcelField(title="项目实施部门", align=2, sort=11)
    public String getProjectImplementationDepartment() {
        return projectImplementationDepartment;
    }
    @ExcelField(title="一级分类", align=2, sort=12)
    public String getFirstSlassify() {
        return firstSlassify;
    }
    @ExcelField(title="二级分类", align=2, sort=13)
    public String getSecondSlassify() {
        return secondSlassify;
    }
    @ExcelField(title="三级分类", align=2, sort=14)
    public String getThirdlySlassify() {
        return thirdlySlassify;
    }
    @ExcelField(title="项目包类型", align=2, sort=15)
    public String getProjectBagType() {
        return projectBagType;
    }
    @ExcelField(title="承诺项1", align=2, sort=16)
    public String getCommitmentOne() {
        return commitmentOne;
    }
    @ExcelField(title="项目类型", align=2, sort=17)
    public String getProjectType() {
        return projectType;
    }
    @ExcelField(title="项目性质", align=2, sort=18)
    public String getProjectProperty() {
        return projectProperty;
    }
    @ExcelField(title="是否预安排项目", align=2, sort=19)
    public String getIfArrangeProject() {
        return ifArrangeProject;
    }
    @ExcelField(title="项目流转状态", align=2, sort=20)
    public String getProjectStatus() {
        return projectStatus;
    }
    @ExcelField(title="项目总预算（万元）", align=2, sort=21)
    public String getProjectAllBudget() {
        return projectAllBudget;
    }
    @ExcelField(title="累计投资计划（万元）", align=2, sort=22)
    public String getCumulativeInvestmentPlan() {
        return cumulativeInvestmentPlan;
    }
    @ExcelField(title="累计财务支出（万元）", align=2, sort=23)
    public String getAccumulativeFinanceExpend() {
        return accumulativeFinanceExpend;
    }
    @ExcelField(title="累计税金", align=2, sort=24)
    public String getAccumulativeTaxes() {
        return accumulativeTaxes;
    }
    @ExcelField(title="累计完成值（含税）（万元）", align=2, sort=25)
    public String getAccumulativeFinishFee() {
        return accumulativeFinishFee;
    }
    @ExcelField(title="项目累计完成率（%）", align=2, sort=26)
    public String getProjectAccumulativeTaxes() {
        return projectAccumulativeTaxes;
    }
    @ExcelField(title="当年投资计划（万元）", align=2, sort=27)
    public String getInvestmentPlanFee() {
        return investmentPlanFee;
    }
    @ExcelField(title="当年预算（万元）", align=2, sort=28)
    public String getBudgetFee() {
        return budgetFee;
    }
    @ExcelField(title="当年财务支出（万元）", align=2, sort=29)
    public String getFinanceExpend() {
        return financeExpend;
    }
    @ExcelField(title="年度预算完成率（%）", align=2, sort=30)
    public String getBudgetTaxes() {
        return budgetTaxes;
    }
    @ExcelField(title="当年税金（万元）", align=2, sort=31)
    public String getTaxationExpense() {
        return taxationExpense;
    }
    @ExcelField(title="当年完成值（含税）（万元）", align=2, sort=32)
    public String getCompleteValue() {
        return completeValue;
    }
    @ExcelField(title="当年项目承诺", align=2, sort=33)
    public String getProjectCommitment() {
        return projectCommitment;
    }
    @ExcelField(title="累计项目承诺", align=2, sort=34)
    public String getAccumulativeProjectCommitment() {
        return accumulativeProjectCommitment;
    }
    @ExcelField(title="国网项目包编码", align=2, sort=35)
    public String getProjectPagNumber() {
        return projectPagNumber;
    }
    @ExcelField(title="发送国网状态（配网子项目）", align=2, sort=36)
    public String getSendStatusSubProject() {
        return sendStatusSubProject;
    }
    @ExcelField(title="在建工程余额（万元）", align=2, sort=37)
    public String getUnderConstructionProjectBalance() {
        return underConstructionProjectBalance;
    }
    @ExcelField(title="在建工程卡片余额（万元）", align=2, sort=38)
    public String getUnderConstructionProjectCardBalance() {
        return underConstructionProjectCardBalance;
    }
    @ExcelField(title="累计转资金额（万元）", align=2, sort=39)
    public String getAccumulativeWorkingCapitalFee() {
        return accumulativeWorkingCapitalFee;
    }
    @ExcelField(title="年度", align=2, sort=40)
    public String getYear() {
        return year;
    }
    @ExcelField(title="单体/打捆", align=2, sort=41)
    public String getMonomer() {
        return monomer;
    }
    @ExcelField(title="项目出库时间", align=2, sort=42)
    public String getProjectWarehouseOutTime() {
        return projectWarehouseOutTime;
    }
    @ExcelField(title="建议预算（万元）", align=2, sort=43)
    public String getSuggestBudget() {
        return suggestBudget;
    }
    @ExcelField(title="开工时间", align=2, sort=44)
    public String getStartWorkingTime() {
        return startWorkingTime;
    }
    @ExcelField(title="预计完成时间", align=2, sort=45)
    public String getBudgetFinishTime() {
        return budgetFinishTime;
    }
    @ExcelField(title="续建结转原因", align=2, sort=46)
    public String getSustainableArchitectureReason() {
        return sustainableArchitectureReason;
    }
    @ExcelField(title="电压等级", align=2, sort=47)
    public String getVoltageLevel() {
        return voltageLevel;
    }
    @ExcelField(title="发送配农网状态", align=2, sort=48)
    public String getSendVillageStatus() {
        return sendVillageStatus;
    }
    @ExcelField(title="SAP立项时间", align=2, sort=49)
    public String getSapProjectApprovalTime() {
        return sapProjectApprovalTime;
    }
    @ExcelField(title="自定义字段1", align=2, sort=50)
    public String getCustomOne() {
        return customOne;
    }
    @ExcelField(title="自定义字段2", align=2, sort=51)
    public String getCustomTwo() {
        return customTwo;
    }
    @ExcelField(title="自定义字段3", align=2, sort=52)
    public String getCustomThree() {
        return customThree;
    }
    @ExcelField(title="自定义字段4", align=2, sort=53)
    public String getCustomFour() {
        return customFour;
    }
    @ExcelField(title="自定义字段5", align=2, sort=54)
    public String getCustomFive() {
        return customFive;
    }
    @ExcelField(title="项目打开时间", align=2, sort=55)
    public String getProjectStartTime() {
        return projectStartTime;
    }
    @ExcelField(title="项目关闭时间", align=2, sort=56)
    public String getProjectCloseTime() {
        return projectCloseTime;
    }
    @ExcelField(title="业务活动", align=2, sort=57)
    public String getOperationalAction() {
        return operationalAction;
    }
    @ExcelField(title="资产类型", align=2, sort=58)
    public String getAssetType() {
        return assetType;
    }
    @ExcelField(title="专业细分", align=2, sort=59)
    public String getProfessionalSubdivision() {
        return professionalSubdivision;
    }
    @ExcelField(title="线路类型", align=2, sort=60)
    public String getPathType() {
        return pathType;
    }
    @ExcelField(title="限上限下", align=2, sort=61)
    public String getUnderTheLimitedCeiling() {
        return underTheLimitedCeiling;
    }
    @ExcelField(title="是否外包项目", align=2, sort=62)
    public String getIfEpibolyProject() {
        return ifEpibolyProject;
    }
    @ExcelField(title="预算释放状态", align=2, sort=63)
    public String getBudgetReleaseStatus() {
        return budgetReleaseStatus;
    }
    @ExcelField(title="发送国网状态", align=2, sort=64)
    public String getSendStatus() {
        return sendStatus;
    }
    @ExcelField(title="业务外包金额(万元)", align=2, sort=65)
    public String getBusinessEpibolyFee() {
        return businessEpibolyFee;
    }
    @ExcelField(title="预算调整次数", align=2, sort=66)
    public String getBudgetAdjustmentCount() {
        return budgetAdjustmentCount;
    }
    @ExcelField(title="累计预算调整次数", align=2, sort=67)
    public String getAccumulativeBudgetAdjustmentCount() {
        return accumulativeBudgetAdjustmentCount;
    }
    @ExcelField(title="年初预算", align=2, sort=68)
    public String getBeginningYearBudget() {
        return beginningYearBudget;
    }
    @ExcelField(title="最新变更时间", align=2, sort=69)
    public String getNewestUpdateTime() {
        return newestUpdateTime;
    }
    @ExcelField(title="外包人工成本（万元）", align=2, sort=70)
    public String getEpibolyLaborCost() {
        return epibolyLaborCost;
    }
    @ExcelField(title="创建人", align=2, sort=71)
    public String getCtrateByName() {
        return ctrateByName;
    }
    @ExcelField(title="承诺项2", align=2, sort=72)
    public String getCommitmentTwo() {
        return commitmentTwo;
    }
    @ExcelField(title="承诺项3", align=2, sort=73)
    public String getCommitmentThree() {
        return commitmentThree;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setReserveCoding(String reserveCoding) {
        this.reserveCoding = reserveCoding;
    }

    public void setProjectNumber(String projectNumber) {
        this.projectNumber = projectNumber;
    }

    public void setProjectBagNumber(String projectBagNumber) {
        this.projectBagNumber = projectBagNumber;
    }

    public void setProjectBagName(String projectBagName) {
        this.projectBagName = projectBagName;
    }

    public void setImportanceProjectInvest(String importanceProjectInvest) {
        this.importanceProjectInvest = importanceProjectInvest;
    }

    public void setFirstLevelUnit(String firstLevelUnit) {
        this.firstLevelUnit = firstLevelUnit;
    }

    public void setSecondLevelUnit(String secondLevelUnit) {
        this.secondLevelUnit = secondLevelUnit;
    }

    public void setRelevantDepartment(String relevantDepartment) {
        this.relevantDepartment = relevantDepartment;
    }

    public void setProjectImplementationDepartment(String projectImplementationDepartment) {
        this.projectImplementationDepartment = projectImplementationDepartment;
    }

    public void setFirstSlassify(String firstSlassify) {
        this.firstSlassify = firstSlassify;
    }

    public void setSecondSlassify(String secondSlassify) {
        this.secondSlassify = secondSlassify;
    }

    public void setThirdlySlassify(String thirdlySlassify) {
        this.thirdlySlassify = thirdlySlassify;
    }

    public void setProjectBagType(String projectBagType) {
        this.projectBagType = projectBagType;
    }

    public void setCommitmentOne(String commitmentOne) {
        this.commitmentOne = commitmentOne;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    public void setProjectProperty(String projectProperty) {
        this.projectProperty = projectProperty;
    }

    public void setIfArrangeProject(String ifArrangeProject) {
        this.ifArrangeProject = ifArrangeProject;
    }

    public void setProjectStatus(String projectStatus) {
        this.projectStatus = projectStatus;
    }

    public void setProjectAllBudget(String projectAllBudget) {
        this.projectAllBudget = projectAllBudget;
    }

    public void setCumulativeInvestmentPlan(String cumulativeInvestmentPlan) {
        this.cumulativeInvestmentPlan = cumulativeInvestmentPlan;
    }

    public void setAccumulativeFinanceExpend(String accumulativeFinanceExpend) {
        this.accumulativeFinanceExpend = accumulativeFinanceExpend;
    }

    public void setAccumulativeTaxes(String accumulativeTaxes) {
        this.accumulativeTaxes = accumulativeTaxes;
    }

    public void setAccumulativeFinishFee(String accumulativeFinishFee) {
        this.accumulativeFinishFee = accumulativeFinishFee;
    }

    public void setProjectAccumulativeTaxes(String projectAccumulativeTaxes) {
        this.projectAccumulativeTaxes = projectAccumulativeTaxes;
    }

    public void setInvestmentPlanFee(String investmentPlanFee) {
        this.investmentPlanFee = investmentPlanFee;
    }

    public void setBudgetFee(String budgetFee) {
        this.budgetFee = budgetFee;
    }

    public void setFinanceExpend(String financeExpend) {
        this.financeExpend = financeExpend;
    }

    public void setBudgetTaxes(String budgetTaxes) {
        this.budgetTaxes = budgetTaxes;
    }

    public void setTaxationExpense(String taxationExpense) {
        this.taxationExpense = taxationExpense;
    }

    public void setCompleteValue(String completeValue) {
        this.completeValue = completeValue;
    }

    public void setProjectCommitment(String projectCommitment) {
        this.projectCommitment = projectCommitment;
    }

    public void setAccumulativeProjectCommitment(String accumulativeProjectCommitment) {
        this.accumulativeProjectCommitment = accumulativeProjectCommitment;
    }

    public void setProjectPagNumber(String projectPagNumber) {
        this.projectPagNumber = projectPagNumber;
    }

    public void setSendStatusSubProject(String sendStatusSubProject) {
        this.sendStatusSubProject = sendStatusSubProject;
    }

    public void setUnderConstructionProjectBalance(String underConstructionProjectBalance) {
        this.underConstructionProjectBalance = underConstructionProjectBalance;
    }

    public void setUnderConstructionProjectCardBalance(String underConstructionProjectCardBalance) {
        this.underConstructionProjectCardBalance = underConstructionProjectCardBalance;
    }

    public void setAccumulativeWorkingCapitalFee(String accumulativeWorkingCapitalFee) {
        this.accumulativeWorkingCapitalFee = accumulativeWorkingCapitalFee;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public void setMonomer(String monomer) {
        this.monomer = monomer;
    }

    public void setProjectWarehouseOutTime(String projectWarehouseOutTime) {
        this.projectWarehouseOutTime = projectWarehouseOutTime;
    }

    public void setSuggestBudget(String suggestBudget) {
        this.suggestBudget = suggestBudget;
    }

    public void setStartWorkingTime(String startWorkingTime) {
        this.startWorkingTime = startWorkingTime;
    }

    public void setBudgetFinishTime(String budgetFinishTime) {
        this.budgetFinishTime = budgetFinishTime;
    }

    public void setSustainableArchitectureReason(String sustainableArchitectureReason) {
        this.sustainableArchitectureReason = sustainableArchitectureReason;
    }

    public void setVoltageLevel(String voltageLevel) {
        this.voltageLevel = voltageLevel;
    }

    public void setSendVillageStatus(String sendVillageStatus) {
        this.sendVillageStatus = sendVillageStatus;
    }

    public void setSapProjectApprovalTime(String sapProjectApprovalTime) {
        this.sapProjectApprovalTime = sapProjectApprovalTime;
    }

    public void setCustomOne(String customOne) {
        this.customOne = customOne;
    }

    public void setCustomTwo(String customTwo) {
        this.customTwo = customTwo;
    }

    public void setCustomThree(String customThree) {
        this.customThree = customThree;
    }

    public void setCustomFour(String customFour) {
        this.customFour = customFour;
    }

    public void setCustomFive(String customFive) {
        this.customFive = customFive;
    }

    public void setProjectStartTime(String projectStartTime) {
        this.projectStartTime = projectStartTime;
    }

    public void setProjectCloseTime(String projectCloseTime) {
        this.projectCloseTime = projectCloseTime;
    }

    public void setOperationalAction(String operationalAction) {
        this.operationalAction = operationalAction;
    }

    public void setAssetType(String assetType) {
        this.assetType = assetType;
    }

    public void setProfessionalSubdivision(String professionalSubdivision) {
        this.professionalSubdivision = professionalSubdivision;
    }

    public void setPathType(String pathType) {
        this.pathType = pathType;
    }

    public void setUnderTheLimitedCeiling(String underTheLimitedCeiling) {
        this.underTheLimitedCeiling = underTheLimitedCeiling;
    }

    public void setIfEpibolyProject(String ifEpibolyProject) {
        this.ifEpibolyProject = ifEpibolyProject;
    }

    public void setBudgetReleaseStatus(String budgetReleaseStatus) {
        this.budgetReleaseStatus = budgetReleaseStatus;
    }

    public void setSendStatus(String sendStatus) {
        this.sendStatus = sendStatus;
    }

    public void setBusinessEpibolyFee(String businessEpibolyFee) {
        this.businessEpibolyFee = businessEpibolyFee;
    }

    public void setBudgetAdjustmentCount(String budgetAdjustmentCount) {
        this.budgetAdjustmentCount = budgetAdjustmentCount;
    }

    public void setAccumulativeBudgetAdjustmentCount(String accumulativeBudgetAdjustmentCount) {
        this.accumulativeBudgetAdjustmentCount = accumulativeBudgetAdjustmentCount;
    }

    public void setBeginningYearBudget(String beginningYearBudget) {
        this.beginningYearBudget = beginningYearBudget;
    }

    public void setNewestUpdateTime(String newestUpdateTime) {
        this.newestUpdateTime = newestUpdateTime;
    }

    public void setEpibolyLaborCost(String epibolyLaborCost) {
        this.epibolyLaborCost = epibolyLaborCost;
    }

    public void setCtrateByName(String ctrateByName) {
        this.ctrateByName = ctrateByName;
    }

    public void setCommitmentTwo(String commitmentTwo) {
        this.commitmentTwo = commitmentTwo;
    }

    public void setCommitmentThree(String commitmentThree) {
        this.commitmentThree = commitmentThree;
    }
}
